WordPress.org

Make WordPress Core

Opened 16 months ago

Closed 15 months ago

Last modified 15 months ago

#45657 closed defect (bug) (invalid)

Fix version numbers for WP 5.1 deprecated functions

Reported by: jrf Owned by: SergeyBiryukov
Milestone: Priority: normal
Severity: normal Version: 5.1
Component: General Keywords: has-patch
Focuses: docs Cc:

Description

A few functions have been newly deprecated in trunk. These are currently marked as deprecated in WP 5.0, but as trunk never became 5.0, this needs to be changed to 5.1.

Related #41121, #38922, #41333

Attachments (1)

patch-45657-deprecation-version-number-WP-5.0-vs-5.1.patch (2.5 KB) - added by jrf 16 months ago.

Download all attachments as: .zip

Change History (7)

#1 @netweb
16 months ago

  • Milestone changed from Awaiting Review to 5.1

#2 @SergeyBiryukov
16 months ago

  • Owner set to SergeyBiryukov
  • Status changed from new to reviewing

#3 @pento
15 months ago

  • Keywords commit added

#4 @desrosj
15 months ago

  • Keywords commit removed
  • Milestone 5.1 deleted
  • Resolution set to invalid
  • Status changed from reviewing to closed

Looks like the two multisite related functions were updated in [44469]. The AJAX search one was reverted yesterday in [44537]. I looked through the deprecated files and did not see any more marked 5.0.0, so going to close this out.

#5 @jrf
15 months ago

@desrosj "Invalid" is a bit harsh, as the issue was perfectly valid when the ticket was opened. Let's call it "superseded" ;-)

#6 @desrosj
15 months ago

@jrf Agreed! Trac definitely needs some more pleasant resolutions. Solved elsewhere, perhaps. No harshness intended :)

Note: See TracTickets for help on using tickets.